summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWilliam Hubbs <williamh@gentoo.org>2019-03-09 14:26:05 -0600
committerWilliam Hubbs <williamh@gentoo.org>2019-03-09 17:22:57 -0600
commit4ea066613c23ed12ef7dd6396c89bf30598cc8a9 (patch)
treee456132ed440ef6b772d92743aa721e246597832
parentnet-mail/notmuch: Fix QA warnings (diff)
downloadgentoo-4ea066613c23ed12ef7dd6396c89bf30598cc8a9.tar.gz
gentoo-4ea066613c23ed12ef7dd6396c89bf30598cc8a9.tar.bz2
gentoo-4ea066613c23ed12ef7dd6396c89bf30598cc8a9.zip
dev-python/cheroot: 6.5.4 version bump
Copyright: Sony Interactive Entertainment Inc. Package-Manager: Portage-2.3.51, Repoman-2.3.12 Signed-off-by: William Hubbs <williamh@gentoo.org>
-rw-r--r--dev-python/cheroot/Manifest1
-rw-r--r--dev-python/cheroot/cheroot-6.5.4.ebuild53
-rw-r--r--dev-python/cheroot/files/6.5.4-fix-requirements.patch10
3 files changed, 64 insertions, 0 deletions
diff --git a/dev-python/cheroot/Manifest b/dev-python/cheroot/Manifest
index dc780ea428b..83b02d2e41f 100644
--- a/dev-python/cheroot/Manifest
+++ b/dev-python/cheroot/Manifest
@@ -1 +1,2 @@
DIST cheroot-6.0.0.tar.gz 62763 BLAKE2B 0946c01c6a6233dc60ca3dd896c3d1dbc0feb97d5099d88598db340a8812b2be4cb076383c0e39d30cd2c6fd3402e048b716a02e82bec8ce08d5b8fca4b1be0f SHA512 0109fbf3b73ed3f12261eaa3c6d86b6c6b80a1ba3564548ba3288aa6c61a1c08db60886e677991bf7997e6a5b1ec7767a3e06098ec1748453e72c40fda7b82a7
+DIST cheroot-6.5.4.tar.gz 81067 BLAKE2B 5304373bb8c7cefa341260d4fdb8a99b9e22041260342a716a6b95ba324b4f31d20fb44d8dc10840fb35d3b04de1283deb9aca11bc78772655bf7ad81cf16f3c SHA512 62a48ced225bf9167259b82f5e88a953bdc422982a6c0b0121b28e895cc8347cc033f573b57a048c59167586e0b21e94ad233ce2b65a1b72feb01db82b5ed411
diff --git a/dev-python/cheroot/cheroot-6.5.4.ebuild b/dev-python/cheroot/cheroot-6.5.4.ebuild
new file mode 100644
index 00000000000..3398414a79d
--- /dev/null
+++ b/dev-python/cheroot/cheroot-6.5.4.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Cheroot is the high-performance, pure-Python HTTP server used by CherryPy."
+HOMEPAGE="http://www.cherrypy.org/ https://pypi.org/project/Cheroot/ https://github.com/cherrypy/cheroot"
+SRC_URI="mirror://pypi/C/${PN/c/C}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ia64 ~ppc ~x86"
+# Unit tests are temporarily disabled for this version, see below for
+# what needs to be done.
+# IUSE="test"
+RESTRICT="test"
+
+RDEPEND=">=dev-python/six-1.11.0[${PYTHON_USEDEP}]
+ >=dev-python/more-itertools-2.6[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ >=dev-python/setuptools_scm-1.15.0[${PYTHON_USEDEP}]
+ >=dev-python/setuptools_scm_git_archive-1.0[${PYTHON_USEDEP}]"
+
+ # Add the following for unit tests, some packages listed will need
+ # to be added and keyworded appropriately.
+# test? (
+# dev-python/ddt[${PYTHON_USEDEP}]
+# dev-python/pytest[${PYTHON_USEDEP}]
+# dev-python/pytest-mock[${PYTHON_USEDEP}]
+# dev-python/pytest-sugar[${PYTHON_USEDEP}]
+# dev-python/pytest-testmon[${PYTHON_USEDEP}]
+# dev-python/pytest-watch[${PYTHON_USEDEP}]
+# dev-python/pytest-xdist[${PYTHON_USEDEP}]
+# dev-python/coverage[${PYTHON_USEDEP}]
+# dev-python/codecov[${PYTHON_USEDEP}]
+# dev-python/pytest-cov[${PYTHON_USEDEP}]
+# dev-python/trustme[${PYTHON_USEDEP}]
+# dev-python/pyopenssl[${PYTHON_USEDEP}]
+# dev-python/requests-unixsocket[${PYTHON_USEDEP}]
+# )"
+
+PATCHES=(
+ # https://github.com/CherryPy/cheroot/issues/181
+ "${FILESDIR}"/6.5.4-fix-requirements.patch
+)
+
+# python_test() {
+# py.test -v || die "tests failed under ${EPYTHON}"
+# }
diff --git a/dev-python/cheroot/files/6.5.4-fix-requirements.patch b/dev-python/cheroot/files/6.5.4-fix-requirements.patch
new file mode 100644
index 00000000000..a5a493704cf
--- /dev/null
+++ b/dev-python/cheroot/files/6.5.4-fix-requirements.patch
@@ -0,0 +1,10 @@
+--- a/setup.cfg 2019-03-09 17:14:40.127863655 -0600
++++ b/setup.cfg 2019-03-09 17:15:22.135345396 -0600
+@@ -57,7 +57,6 @@
+ setuptools_scm>=1.15.0
+ setuptools_scm_git_archive>=1.0
+ install_requires =
+- backports.functools_lru_cache
+ six>=1.11.0
+ more_itertools>=2.6
+